﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.radChart.ItemsSource = TradeData.GetWeeklyData("abc");
        }               

        private void ChartArea_ItemToolTipOpening_2(Telerik.Windows.Controls.Charting.ItemToolTip2D tooltip, Telerik.Windows.Controls.Charting.ItemToolTipEventArgs e)
        {  
               TradeData tradeData = e.DataPoint.DataItem as TradeData;
               StockToolTipControl stockToolTip = new StockToolTipControl();
               stockToolTip.ChangeNetPercent = 1 - ( tradeData.Close / tradeData.Open );
               stockToolTip.Volume = tradeData.Volume;
               //The next three properties shows some fictional data to illustrate the idea
               stockToolTip.OneYearTargetEst = tradeData.Close * 1.1;
               stockToolTip.PERatio = 16.80;
               stockToolTip.ForwardingPE = 17.93;
               tooltip.Content = stockToolTip;
        }

        private void MyAnimatedRectangle_MouseEnter(object sender, MouseEventArgs e)
        {
            this.myStoryboard.Begin();
        }

        
    }
}
